Bug 15550 - WebKit does not support CSS3 column-span:
: WebKit does not support CSS3 column-span:
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 523.x (Safari 3)
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To: Dave Hyatt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 00:00 PDT by Eric Seidel
Modified: 2010-06-01 11:59 PDT (History)
6 users (show)

See Also:


Attachments
test case (1.49 KB, text/html)
2007-10-18 00:00 PDT, Eric Seidel
no flags Details
Patch (543.03 KB, patch)
2010-05-28 12:27 PDT, Dave Hyatt
no flags Details | Formatted Diff | Diff
Fix style issues (543.18 KB, patch)
2010-05-28 14:22 PDT, Dave Hyatt
bdakin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel 2007-10-18 00:00:37 PDT
WebKit does not support CSS3 column-span:

The new multi-column support is pretty nice, but it's missing a useful "column-span" property.  See attached test case for a demonstration of column-span: all;
Comment 1 Eric Seidel 2007-10-18 00:00:55 PDT
Created attachment 16713 [details]
test case
Comment 2 Dan Villiom Podlaski Christiansen 2008-01-07 03:15:27 PST
For the record, I've begun a small, private endeavour to try to see if I can get this working. If I hit any major stumbling blocks, I'll post here.

However, if anyone begins implementing this; please say so :-)
Comment 3 Dave Hyatt 2010-05-28 12:27:58 PDT
Created attachment 57362 [details]
Patch
Comment 4 WebKit Review Bot 2010-05-28 12:29:28 PDT
Attachment 57362 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebCore/rendering/RenderBlock.cpp:326:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/rendering/RenderBlock.cpp:331:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/rendering/RenderBlock.cpp:390:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Total errors found: 3 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Dave Hyatt 2010-05-28 14:22:06 PDT
Created attachment 57376 [details]
Fix style issues
Comment 6 Beth Dakin 2010-05-28 14:50:33 PDT
Comment on attachment 57376 [details]
Fix style issues

r=me!
Comment 7 Dave Hyatt 2010-06-01 11:59:04 PDT
Fixed in r60494.